[email protected]
[Top] [All Lists]

Re: dependency problem installing MC in Redhat 9.0

Subject: Re: dependency problem installing MC in Redhat 9.0
From: Frank Dietrich
Date: Sun, 17 Oct 2004 11:48:07 +0200
Hi Alejandro,

Alejandro Lengua <[email protected]> wrote:

> Making some googling I found that the slang-1.2.2-1.i386.rpm
> is the one I should need to install. However a more recent version
> "package slang-1.4.5-16" is already installed.
> 
> So I decided to install forcing --nodeps
> however it didn_t work fine and now I get this error everytime I run
> "mc"
> 
> mc: error while loading shared libraries: libslang.so.1: cannot open
> 
> shared object file: No such file or directory

I'm not familar with Red Hat but try the following.

1. look which libslang installed on your system

  ls -l /lib/libslang.so.*

  results something like
  
  /lib/libslang.so.1.4.9
                   ----- version number

2. make a soft link to the most recent version

  cd /lib/
  ln -s libslang.so.1.4.9 libslang.so.1

Then it should work.

Frank
_______________________________________________
Mc mailing list
http://mail.gnome.org/mailman/listinfo/mc

<Prev in Thread] Current Thread [Next in Thread>